com.intellectualcrafters.plot.object

## Class PlotManager

- java.lang.Object
- - com.intellectualcrafters.plot.object.PlotManager

- Direct Known Subclasses:
    DefaultPlotManager

      public abstract class PlotManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlotManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `clearPlot(org.bukkit.World world, Plot plot)`
    `abstract boolean` | `createRoadEast(PlotWorld plotworld, Plot plot)`
    `abstract boolean` | `createRoadSouth(PlotWorld plotworld, Plot plot)`
    `abstract boolean` | `createRoadSouthEast(PlotWorld plotworld, Plot plot)`
    `abstract boolean` | `finishPlotMerge(org.bukkit.World world, PlotWorld plotworld, java.util.ArrayList<PlotId> plotIds)`
    `abstract boolean` | `finishPlotUnlink(org.bukkit.World world, PlotWorld plotworld, java.util.ArrayList<PlotId> plotIds)`
    `abstract org.bukkit.Location` | `getPlotBottomLocAbs(PlotWorld plotworld, PlotId plotid)`
    `abstract PlotId` | `getPlotId(PlotWorld plotworld, org.bukkit.Location loc)`
    `abstract PlotId` | `getPlotIdAbs(PlotWorld plotworld, org.bukkit.Location loc)`
    `abstract org.bukkit.Location` | `getPlotTopLocAbs(PlotWorld plotworld, PlotId plotid)`
    `abstract org.bukkit.Location` | `getSignLoc(org.bukkit.World world, PlotWorld plotworld, Plot plot)`
    `abstract boolean` | `isInPlotAbs(PlotWorld plotworld, org.bukkit.Location loc, PlotId plotid)`
    `abstract boolean` | `removeRoadEast(PlotWorld plotworld, Plot plot)`
    `abstract boolean` | `removeRoadSouth(PlotWorld plotworld, Plot plot)`
    `abstract boolean` | `removeRoadSouthEast(PlotWorld plotworld, Plot plot)`
    `abstract boolean` | `setBiome(org.bukkit.World world, Plot plot, org.bukkit.block.Biome biome)`
    `abstract boolean` | `setFloor(org.bukkit.World world, PlotWorld plotworld, PlotId plotid, PlotBlock[] block)`
    `abstract boolean` | `setWall(org.bukkit.World world, PlotWorld plotworld, PlotId plotid, PlotBlock block)`
    `abstract boolean` | `setWallFilling(org.bukkit.World world, PlotWorld plotworld, PlotId plotid, PlotBlock block)`
    `abstract boolean` | `startPlotMerge(org.bukkit.World world, PlotWorld plotworld, java.util.ArrayList<PlotId> plotIds)`
    `abstract boolean` | `startPlotUnlink(org.bukkit.World world, PlotWorld plotworld, java.util.ArrayList<PlotId> plotIds)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlotManager

          public PlotManager()

  - ### Method Detail

    - #### getPlotIdAbs

          public abstract PlotId getPlotIdAbs(PlotWorld plotworld,
                            org.bukkit.Location loc)

    - #### getPlotId

          public abstract PlotId getPlotId(PlotWorld plotworld,
                         org.bukkit.Location loc)

    - #### isInPlotAbs

          public abstract boolean isInPlotAbs(PlotWorld plotworld,
                            org.bukkit.Location loc,
                            PlotId plotid)

    - #### getPlotBottomLocAbs

          public abstract org.bukkit.Location getPlotBottomLocAbs(PlotWorld plotworld,
                                                PlotId plotid)

    - #### getPlotTopLocAbs

          public abstract org.bukkit.Location getPlotTopLocAbs(PlotWorld plotworld,
                                             PlotId plotid)

    - #### clearPlot

          public abstract boolean clearPlot(org.bukkit.World world,
                          Plot plot)

    - #### getSignLoc

          public abstract org.bukkit.Location getSignLoc(org.bukkit.World world,
                                       PlotWorld plotworld,
                                       Plot plot)

    - #### setWallFilling

          public abstract boolean setWallFilling(org.bukkit.World world,
                               PlotWorld plotworld,
                               PlotId plotid,
                               PlotBlock block)

    - #### setWall

          public abstract boolean setWall(org.bukkit.World world,
                        PlotWorld plotworld,
                        PlotId plotid,
                        PlotBlock block)

    - #### setFloor

          public abstract boolean setFloor(org.bukkit.World world,
                         PlotWorld plotworld,
                         PlotId plotid,
                         PlotBlock[] block)

    - #### setBiome

          public abstract boolean setBiome(org.bukkit.World world,
                         Plot plot,
                         org.bukkit.block.Biome biome)

    - #### createRoadEast

          public abstract boolean createRoadEast(PlotWorld plotworld,
                               Plot plot)

    - #### createRoadSouth

          public abstract boolean createRoadSouth(PlotWorld plotworld,
                                Plot plot)

    - #### createRoadSouthEast

          public abstract boolean createRoadSouthEast(PlotWorld plotworld,
                                    Plot plot)

    - #### removeRoadEast

          public abstract boolean removeRoadEast(PlotWorld plotworld,
                               Plot plot)

    - #### removeRoadSouth

          public abstract boolean removeRoadSouth(PlotWorld plotworld,
                                Plot plot)

    - #### removeRoadSouthEast

          public abstract boolean removeRoadSouthEast(PlotWorld plotworld,
                                    Plot plot)

    - #### startPlotMerge

          public abstract boolean startPlotMerge(org.bukkit.World world,
                               PlotWorld plotworld,
                               java.util.ArrayList<PlotId> plotIds)

    - #### startPlotUnlink

          public abstract boolean startPlotUnlink(org.bukkit.World world,
                                PlotWorld plotworld,
                                java.util.ArrayList<PlotId> plotIds)

    - #### finishPlotMerge

          public abstract boolean finishPlotMerge(org.bukkit.World world,
                                PlotWorld plotworld,
                                java.util.ArrayList<PlotId> plotIds)

    - #### finishPlotUnlink

          public abstract boolean finishPlotUnlink(org.bukkit.World world,
                                 PlotWorld plotworld,
                                 java.util.ArrayList<PlotId> plotIds)